searchData={"items":[{"type":"module","title":"CredoGitlab","doc":"Documentation for `CredoGitlab`.","ref":"CredoGitlab.html"},{"type":"function","title":"CredoGitlab.init/1","doc":"Initializes the plugin.","ref":"CredoGitlab.html#init/1"},{"type":"module","title":"CredoGitlab.JsonEncoder","doc":"JSON encoder for GitLab Code Quality reports.","ref":"CredoGitlab.JsonEncoder.html"},{"type":"function","title":"CredoGitlab.JsonEncoder.encode/2","doc":"Encodes the issues to JSON.","ref":"CredoGitlab.JsonEncoder.html#encode/2"},{"type":"module","title":"CredoGitlab.Tasks.ReportCodequality","doc":"Formatter for GitLab Code Quality reports.","ref":"CredoGitlab.Tasks.ReportCodequality.html"},{"type":"extras","title":"CredoGitlab","doc":"# CredoGitlab\n\nGenerate GitLab Code Quality report for Credo.","ref":"readme.html"},{"type":"extras","title":"Installation - CredoGitlab","doc":"This package available in Hex and can be installed by adding `credo_gitlab`\nto your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:credo_gitlab, \"~> 0.1.0\", only: [:dev, :test], runtime: false}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Scope - CredoGitlab","doc":"This package is used to generate a code quality report compatible\nwith [GitLab format](https://docs.gitlab.com/ee/ci/testing/code_quality.html).","ref":"readme.html#scope"},{"type":"extras","title":"Configuration - CredoGitlab","doc":"To generate a report a plugin should be added to your `.credo.exs` file.\nThis is the basic configuration:\n\n```elixir\n%{\n  configs: [\n    name: \"default\",\n    plugins: [\n      {CredoGitlab, []}\n    ]\n  ]\n}\n```\n\nWith this configuration, a `gl-code-quality-report.json` will be created in the root of your project.\nTo move it to another position, a `:path` param could be added:\n\n```elixir\n%{\n  configs: [\n    name: \"default\",\n    plugins: [\n      {CredoGitlab, [path: \"credo/gitlab-report.json\"]}\n    ]\n  ]\n}\n```\n\nThis will create a `gitlab-report.json` file in the `credo` directory.\n\nBy default, this plugin uses [Jason](https://hex.pm/packages/jason) to JSON-encode\nthe issues, but you may use another lib, as long as it exports one of these functions:\n\n- `encode_to_iodata!/1`\n- `encode_to_iodata/1`\n- `encode!/1`\n- `encode/1`\n\nE.g. you may use [Jsonrs](https://hex.pm/packages/jsonrs) like this:\n\n```elixir\n%{\n  configs: [\n    name: \"default\",\n    plugins: [\n      {CredoGitlab, [json_library: Jsonrs]}\n    ]\n  ]\n}\n```","ref":"readme.html#configuration"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}